Magento-2 System Requirements

Required PHP extensions:

  • PDO/MySQL

  • mbstring

  • mcrypt

  • mhash

  • SimpleXML

  • curl

  • xsl

  • gd, ImageMagick 6.3.7 (or later) or both

  • soap

  • intl

  • bc-math (Only for EE)

  • openssl

PHP

  • 5.6.x

  • 5.5.x

 MySql:

  • MySQL 5.6 (Oracle or Percona)

  • Mysql 5.5 available(but it wont work while installation, better will upgrade to 5.6 or more)

Apache 2.2 or 2.4

In addition, the apache mod_rewrite module must be

enabled. mod_rewrite enables the server to perform URL

rewriting.

nginx 1.8 (or latest stable version)

More info please refer magento installation guide.

—————————————————————————————————-

CORNER OF BLOG:

When pleasant words are easy, bitter words to use,
Is, leaving sweet ripe fruit, the sour unripe to choose¬†“